App\Entity\Client:
    type: entity
    table: client
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        raison_sociale:
            type: string
            length: 255
            fixed: false
            nullable: false
        entreprise:
            type: boolean
            nullable: true
        description:
            type: text
            nullable: true
        adresse:
            type: text
            nullable: true
        email:
            type: string
            length: 255
            fixed: false
            nullable: true
        telephone:
            type: string
            length: 255
            fixed: false
            nullable: true
        fax:
            type: string
            length: 255
            fixed: false
            nullable: true
        patente:
            type: string
            length: 255
            fixed: false
            nullable: true
        ice:
            type: string
            length: 255
            fixed: false
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        lat:
            type: string
            length: 255
            fixed: false
            nullable: true
        lng:
            type: string
            length: 255
            fixed: false
            nullable: true
        zoom:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateInscription:
            type: datetime
            nullable: true
        motscles:
            type: text
            nullable: true
        totalHT:
            type: float
            nullable: true
        totalRemise:
            type: float
            nullable: true
        totalTtc:
            type: float
            nullable: true
        totalAvoir:
            type: float
            nullable: true
        totalBenefice:
            type: float
            nullable: true
        totalPaye:
            type: float
            nullable: true
        reliquat:
            type: float
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: clients
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        contacts:
            targetEntity: ContactClient
            mappedBy: client
        ventes:
            targetEntity: Vente
            mappedBy: client
        paiements:
            targetEntity: PaiementVente
            mappedBy: client
        devis:
            targetEntity: Devis
            mappedBy: client
        vehicules:
            targetEntity: Vehicule
            mappedBy: client
        reparations:
            targetEntity: Reparation
            mappedBy: client
        dossiers:
            targetEntity: Dossier
            mappedBy: client
        bookings:
            targetEntity: Booking
            mappedBy: client